# Method: projects.move

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/move#try-it)

Move a project to another place in your resource hierarchy, under a new resource parent.

Returns an operation which can be used to track the process of the project move workflow. Upon success, the `Operation.response` field will be populated with the moved project.

The caller must have `resourcemanager.projects.move` permission on the project, on the project's current and proposed new parent.

If project has no current parent, or it currently does not have an associated organization resource, you will also need the `resourcemanager.projects.setIamPolicy` permission in the project.

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v3/{name=projects/*}:move`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the project to move. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `resourcemanager.projects.move` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinationParent": string } ``` |

| Fields ||
|---|---|
| `destinationParent` | `string` Required. The new parent to move the Project under. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `destinationParent`: - `resourcemanager.projects.move` |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudplatformprojects`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).